# Uses of Enum Class
java.net.http.HttpOption.Http3DiscoveryMode

Packages that use HttpOption.Http3DiscoveryMode
Package
Description
java.net.http
HTTP Client and WebSocket APIs

## Uses of HttpOption.Http3DiscoveryMode in java.net.http

Subclasses with type arguments of type HttpOption.Http3DiscoveryMode in java.net.http
Modifier and Type
Class
Description
`static enum`
`HttpOption.Http3DiscoveryMode`
This enumeration can be used to help the `HttpClient` decide how an HTTP/3 exchange should be established, and can be provided as the value of the `HttpOption.H3_DISCOVERY` option to `Builder.setOption`.
Fields in java.net.http with type parameters of type HttpOption.Http3DiscoveryMode
Modifier and Type
Field
Description
`static final HttpOption<HttpOption.Http3DiscoveryMode>`
HttpOption.`H3_DISCOVERY`
An option that can be used to configure how the `HttpClient` will select or establish an HTTP/3 connection through which to carry out the request.
Methods in java.net.http that return HttpOption.Http3DiscoveryMode
Modifier and Type
Method
Description
`static HttpOption.Http3DiscoveryMode`
HttpOption.Http3DiscoveryMode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HttpOption.Http3DiscoveryMode[]`
HttpOption.Http3DiscoveryMode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.